/*
 * Copyright Openmind http://www.openmindonline.it
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package it.openutils.spring.rmibernate.client.pagination;

/**
 * @author mmolaschi
 * @version $Id: Paginator.java 716 2008-03-03 14:35:57Z fcarone $
 */
public class Paginator
{

    private int from;

    private int size;

    /**
     *
     */
    public Paginator()
    {

    }

    /**
     * @param from starting row number
     * @param size max rows
     */
    public Paginator(int from, int size)
    {
        this.from = from;
        this.size = size;
    }

    /**
     * Get starting row number
     * @return starting row number
     */
    public int getFrom()
    {
        return from;
    }

    /**
     * Set starting row number
     * @param from starting row number
     */
    public void setFrom(int from)
    {
        this.from = from;
    }

    /**
     * Get max number of rows
     * @return max number of rows
     */
    public int getSize()
    {
        return size;
    }

    /**
     * Set max number of rows
     * @param size max number of rows
     */
    public void setSize(int size)
    {
        this.size = size;
    }

}
