/*
 * Copyright Openmind http://www.openmindonline.it
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package it.openutils.spring.rmibernate.server.aspects;

import it.openutils.spring.rmibernate.shared.LazyReference;

import java.lang.reflect.Method;

import net.sf.cglib.proxy.MethodInterceptor;
import net.sf.cglib.proxy.MethodProxy;


/**
 * Aspect on lazy fields to intercept writeReplace
 * @author mmolaschi
 * @version $Id: LazyReferenceAspect.java 716 2008-03-03 14:35:57Z fcarone $
 */
public class LazyReferenceAspect implements MethodInterceptor
{

    private LazyReference lazyReference;

    public LazyReference getLazyReference()
    {
        return lazyReference;
    }

    public void setLazyReference(LazyReference lazyReference)
    {
        this.lazyReference = lazyReference;
    }

    /**
     * {@inheritDoc}
     */
    public Object intercept(Object obj, Method method, Object[] args, MethodProxy proxy) throws Throwable
    {
        return lazyReference;
    }

}
