/*
 * Copyright Openmind http://www.openmindonline.it
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package it.openutils.spring.rmibernate.server.aspects.util;

import java.io.ObjectStreamException;

/**
 * Interface for intercepting writeReplace method calls
 * @author mmolaschi
 * @version $Id: EntitySerializer.java 716 2008-03-03 14:35:57Z fcarone $
 */
public interface EntitySerializer
{
    /**
     * Write alternative object on serialization
     * @return alternative object
     * @throws ObjectStreamException error writing
     */
    Object writeReplace() throws ObjectStreamException;

}